Class | CharDet::EUCJPContextAnalysis
In: | lib/tmail/vendor/rchardet-1.3/lib/rchardet/jpcntx.rb
Parent: | JapaneseContextAnalysis

### Methods

get_order

### Public Instance methods

get_order(aStr)

[Source]

    # File lib/tmail/vendor/rchardet-1.3/lib/rchardet/jpcntx.rb, line 207
        def get_order(aStr)
          return -1, 1 unless aStr
          # find out current char's byte length
          aStr = aStr[0..1].join if aStr.class == Array
          if (aStr[0..0] == "\x8E") or ((aStr[0..0] >= "\xA1") and (aStr[0..0] <= "\xFE"))
            charLen = 2
          elsif aStr[0..0] == "\x8F"
            charLen = 3
          else
            charLen = 1
          end

          # return its order if it is hiragana
          if aStr.length > 1
            if (aStr[0..0] == "\xA4") and (aStr[1..1] >= "\xA1") and (aStr[1..1] <= "\xF3")
              return aStr[1] - 0xA1, charLen
            end
          end

          return -1, charLen
        end

[Validate]